
-- Turbine Imports..
import "Turbine";
import "Turbine.Gameplay";
import "Turbine.UI";
import "Turbine.UI.Lotro";


function ShowTurbineColors()

	wColorWindow = Turbine.UI.Lotro.Window();
	wColorWindow:SetPosition(100,100);
	wColorWindow:SetSize(250,420);
	wColorWindow:SetText("Colors");
	wColorWindow:SetVisible(true);

	wColorListBox = Turbine.UI.ListBox();
	wColorListBox:SetParent(wColorWindow);
	wColorListBox:SetSize(200,350);
	wColorListBox:SetPosition(20,40);

	wColorListScroll = Turbine.UI.Lotro.ScrollBar();
    wColorListScroll:SetOrientation(Turbine.UI.Orientation.Vertical);
    wColorListScroll:SetParent(wColorWindow);
    wColorListScroll:SetPosition(wColorListBox:GetLeft() + wColorListBox:GetWidth(),wColorListBox:GetTop());
    wColorListScroll:SetSize(8,wColorListBox:GetHeight());
	wColorListScroll:SetVisible(false);

    wColorListBox:SetVerticalScrollBar(wColorListScroll);


	for k,v in pairs (Turbine.UI.Color) do

		if k ~= "Constructor" and k ~= "IsA" then

			local tempCOLORCONTROL = Turbine.UI.Control();
			tempCOLORCONTROL:SetSize(wColorListBox:GetWidth(),43);

			local tempCOLORLABEL = Turbine.UI.Label();
			tempCOLORLABEL:SetParent(tempCOLORCONTROL);
			tempCOLORLABEL:SetSize(wColorListBox:GetWidth(),40);
			tempCOLORLABEL:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter);
			tempCOLORLABEL:SetForeColor(Turbine.UI.Color.White);
			tempCOLORLABEL:SetOutlineColor(Turbine.UI.Color.Black);
			tempCOLORLABEL:SetFontStyle(Turbine.UI.FontStyle.Outline);
			tempCOLORLABEL:SetBackColor(v);
			tempCOLORLABEL:SetText(k);

			wColorListBox:AddItem(tempCOLORCONTROL);

		end

	end

end



function RegisterCommands()

	---------------------------------------------------------------------------------------------

	-- COMMAND TO DISPLAY / HIDE THE MAIN WINDOW.
	cmdMainWin = Turbine.ShellCommand();

	function cmdMainWin:Execute( command, arguments )

		wColorWindow:SetVisible(true);
	end

	function cmdMainWin:GetHelp()
		return "Colors: Shows the color palette";
	end

	function cmdMainWin:GetShortHelp()
		return "Colors: Shows the color palette";
	end

	Turbine.Shell.AddCommand( "colorpalette", cmdMainWin);


	Turbine.Shell.WriteLine("Use command /colorpalette if you close the window");

	---------------------------------------------------------------------------------------------


end



ShowTurbineColors();
RegisterCommands();
